Package org.eclipse.m2m.atl.emftvm

## Interface Metamodel

All Superinterfaces:
  `org.eclipse.emf.ecore.EObject`, `Model`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `CDOMetamodelImpl`, `MetamodelImpl`

    public interface Metamodel
    extends Model

A representation of the model object 'Metamodel'.

See Also:
  `EmftvmPackage.getMetamodel()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.ecore.EClassifier` `findType​(java.lang.String typeName)` Finds the type/metaclass with the given

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.Model

`allInstancesOf, deleteElement, getResource, isAllowInterModelReferences, newElement, setAllowInterModelReferences, setResource`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### findType

    org.eclipse.emf.ecore.EClassifier findType​(java.lang.String typeName)

Finds the type/metaclass with the given

    typeName

within this `Metamodel`.

Parameters:
  `typeName` - the type/metaclass name (may be fully qualified using '

      ::

  ')
Returns:
  the type/metaclass with the given

      typeName

  within this `Metamodel`.